Name:		ucview
Version:	0.33
Release:	%mkrel 1
Summary:	A video capture and display program
Source0:	http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Url:		http://www.unicap-imaging.org/ucview.htm
License:	GPL
Group:		Video
BuildRequires:  dbus-glib-devel >= 0.73
BuildRequires:	libunicapgtk-devel >= 0.2.23
BuildRequires:	libGConf2-devel >= 2.22.0
BuildRequires:	libglade2-devel >= 2.6.2
BuildRequires:	gtk+2 >= 2.12.10
BuildRequires:	intltool GConf2
Requires(preun): GConf2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
UCView is a video capture and display program based on the unicap video imaging
library.

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %{name}

rm -fr %buildroot%_includedir %buildroot%_libdir/pkgconfig

%preun
%preun_uninstall_gconf_schemas ucview

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/ucview.schemas
%{_datadir}/applications/ucview.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/logo/ucview-logo.png
%{_datadir}/%{name}/ucview.glade
%{_bindir}/ucview
%{_mandir}/man1/ucview.1.*


%changelog
* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 0.33-1mdv2011.0
+ Revision: 673201
- update file list
- br intltool
- new version 0.33

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.22-2mdv2010.0
+ Revision: 445604
- rebuild

* Wed Feb 11 2009 Funda Wang <fwang@mandriva.org> 0.22-1mdv2009.1
+ Revision: 339597
- fix BR

  + Jérôme Soyer <saispo@mandriva.org>
    - Add dbus BR
    - New upstream release

* Mon Jul 21 2008 Thierry Vignaud <tv@mandriva.org> 0.20.1-2mdv2009.0
+ Revision: 239267
- fix description

* Thu Jul 03 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.20.1-1mdv2009.0
+ Revision: 231060
- Removed libtheora-devel and libvorbis-devel as BuildRequires; it's required by the unicap libraries
- Added libtheora-devel, libvorbis-devel and gtk+2.0 as BuildRequires.
- Changed libglade2-devel requires to your generic name.
- Removed BuildRequires libunicap2
- Packaged the ucview video program
- import ucview


